### Function

# GLib MainContext new_with_flags

since: 2.72

#### Declaration [src]

    GMainContext*
    g_main_context_new_with_flags (
      GMainContextFlags flags
    )

#### Description [src]

Creates a new `GMainContext` structure.

Available since: 2.72

#### Parameters

`flags`

  Type: `GMainContextFlags`

  A bitwise-OR combination of flags that can only be set at creation time.

#### Return value

Type: `GMainContext`

The new main context.

The caller of the function takes ownership of the data, and is responsible for freeing it.